@import url('https://fonts.googleapis.com/css2?family=Courirer+Prime:ital,wght@0,400;0,700;1,400;1,700&display=swap');

:root {
    /* Background Colors */
    --main-background-color: #FFF8E3;
    --background-color-aside: #F5EEE6;
    --background-encrypt-button: #0A3871;
    --encrypt-button-hover: #1f68c7;
    --background-decrypt-button: #D8DFE8;
    --decrypt-button-hover: #90bffd;
    --copy-button-hover: #eddcdc;
    /* Border Color */
    --border-color-buttons: #0A3871;
    /* Font Color */
    --main-font-color: #073372;
    --font-color-alert-messages: #495057;
    --font-color-button-encrypt: #FFFFFF;
    --font-color-button-decrypt: #0A3871;
    /* Font Style */
    --main-font-family: 'Courier New', Courier, monospace;
}
  
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.container {
    background-color: var(--main-background-color);
    display: flex;
    flex-direction: column;
}

.container-header {
    padding: 1% 0% 0% 1%;
}

.container-main {
    width: 100%;
    height: 100vh;
    padding: 0% 0% 0% 8%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
}

.container-content {
    display: flex;
    width: 60%;
    height: 90%;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.area-text {
    display: flex;
    justify-content: baseline;
    background-color: var(--main-background-color);
    width: 100%;
    color: var(--main-font-color);
    font-family: var(--main-font-family);
    font-size: 2rem;
    font-weight: 400;
    flex-wrap: wrap;
    outline: none;
    resize: none;
    border: none;
}

.area-text::placeholder {
    font-family: var(--main-font-family);
    color: var(--main-font-color);
    font-size: 2rem;
    font-weight: 700;
    line-height: 48px;
}

.alert-text {
    margin-top: auto;
    align-self: flex-start;
    font-family: var(--main-font-family);
    font-size: 0.75rem;
    line-height: 18px;
    opacity: 80%;
}

.alert-text img {
    margin-right: 5px;
}

.button-area {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 20px;
}

.button {
    width: 328px;
    height: 67px;
    padding: 24px;
    border-radius: 24px;
    cursor: pointer;
    margin-top: 1%;
}

.btn-encrypt {
    background-color: var(--background-encrypt-button);
    color: var(--font-color-button-encrypt);
    font-family: var(--main-font-family);
    border: 1px solid var(--border-color-buttons);
    font-size: 1rem;
    font-weight: 400;
}

.btn-encrypt:hover{
    background-color: var(--encrypt-button-hover);
}

.btn-decrypt {
    background-color: var(--background-decrypt-button);
    color: var(--font-color-button-decrypt);
    font-family: var(--main-font-family);
    border: 1px solid var(--border-color-buttons);
    font-size: 1rem;
    font-weight: 400;
}

.btn-decrypt:hover{
    background-color: var(--decrypt-button-hover);
}

.container-aside {
    margin-left: 5%;
    margin-right: 3%;
    margin-top: -5%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    height: 100%;
    border-radius: 32px;
    background-color: var(--background-color-aside);
    word-wrap: break-word;
}

.result-text {
    font-family: var(--main-font-family);
    color: var(--font-color-alert-messages);
    text-align: justify;
    align-self: flex-start;
    margin-bottom: auto;
    overflow-y: auto;
    padding: 5% 10% 0% 10%;
    width: 400px;
    font-weight: 400;
    font-size: 1.5rem;
    line-height: 36px;
    flex-wrap: wrap;
    word-wrap: break-word;
}


.container-title {
    text-align: center;
    font-family: var(--main-font-family);
    color: var(--font-color-alert-messages);
    font-weight: 700;
    font-size: 1.5rem;
    line-height: 28.8px;
    width: 74%;
}

.container-message {
    text-align: center;
    color: var(--font-color-alert-messages);
    font-family: var(--main-font-family);
    font-weight: 400;
    font-size: 1rem;
    width: 60%;
    line-height: 24px;
}

.btn-copy {
    width: 336px;
    height: 67px;
    margin-bottom: 8%;
    font-family: var(--main-font-family);
    font-weight: 400;
    font-size: 1rem;
    line-height: 19px;
    background-color: inherit;
    border: solid 1px #0A3871;
    color: #0A3871;
}

.btn-copy:hover {
    background-color: var(--copy-button-hover);
}

.hidden {
    display: none;
}

.alert-text-error {
    opacity: 100%;
    color: #FF6969;
    font-weight: bolder;
}

.container-footer {
    background-color: var(--background-decrypt-button);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 8px;
    font-family: var(--main-font-family);
    color: var(--main-font-color);
    font-weight: 600;
}

.container-footer-social {
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (max-width: 768px) {
    .container-header {
        padding: 5% 0% 0% 0%;
    }
    .container-main {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        height: auto;
        padding: 2% ;
        gap: 64px;
    }
    .container-content {
        justify-content: flex-start;
        width: 100%;
    }
    .button-area {
        gap: 16px;
    }
    .container-aside {
        margin: 0;
        width: 90%;
        height: auto;
        padding: 32px;
        gap: 16px;
    }
    .result-text {
        width: 100%;
        height: 180px;
        padding: 0;
    }
    .container-message {
        width: auto;
    }
    .btn-copy {
        width: 100%;
        margin-bottom: 0%;
    }
    .container-aside-img {
        display: none;
    }
}

@media (max-width: 375px) {
    .button-area {
        flex-direction: column;
        gap: 8px;
    }
}